Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Update von 1.3.3 auf 1.5.38  (Read 6599 times)

0 Members and 1 Guest are viewing this topic.

Markus_Kohl

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Update von 1.3.3 auf 1.5.38
« on: September 23, 2015, 02:14:17 pm »

Ich versuche die Version 1.3.3 auf die Version 1.5.38 zu Updaten.
Habe alles wie unter
http://forum.coppermine-gallery.net/index.php/topic,38184.msg180194.html#msg180194
beschrieben gemacht.

Noch als zusatz, ich hatte die Gallery damals per Bridge in ein anderes Portal eingebunden, ist aber schon 10 Jahre her  :'(

Das Ergebinis von update.php ist hier zu sehen.
http://www.juz-nassweiler.de/cpg_update_ausgabe.htm

Beim Aufruf der Gallery kommt folgender Fatal error

Code: [Select]
While executing query 'DELETE FROM `xxx`.cpg133_sessions WHERE time < 1443005394 AND remember = 0' in bridge/coppermine.inc.php on line 251

mySQL error: Table 'xxx.cpg133_sessions' doesn't exist

Die Tabelle 'xxx.cpg133_sessions' existiert tatsächlich nicht.

Ich habe dann die Tabelle einfach per SQL auf Basis der sql\schema.sql angelegt
Quote
CREATE TABLE cpg133_sessions (
  session_id char(32) NOT NULL default '',
  user_id int(11) default '0',
  time int(11) default NULL,
  remember int(1) default '0',
  PRIMARY KEY (session_id)
) COMMENT='Used to store sessions';

Beim erneuten Aufruf der Seite kommt folgende Fehlermeldung
Quote
While executing query 'SELECT null FROM cpg133_banned WHERE ('217.244.190.162' LIKE ip_addr ) AND brute_force=0 LIMIT 1' in include/init.inc.php on line 460

mySQL error: Unknown column 'brute_force' in 'where clause'

Ich habe dann die Tabelle, da sie leer war und einen anderen Aufbau hatte einfach gelöscht und  per SQL auf Basis der sql\schema.sql angelegt
Quote
CREATE TABLE cpg133_banned (
        ban_id int(11) NOT NULL auto_increment,
        user_id int(11) DEFAULT NULL,
        user_name varchar(255) NOT NULL default '',
        email varchar(255) NOT NULL default '',
        ip_addr tinytext,
        expiry datetime DEFAULT NULL,
        brute_force tinyint(5) NOT NULL default '0',
        PRIMARY KEY  (ban_id)
) COMMENT='Data about banned users';

Beim erneuten Aufruf der Seite kommt folgende Fehlermeldung
Quote
While executing query 'SELECT user_favpics FROM cpg133_favpics WHERE user_id = 85' in include/init.inc.php on line 388

mySQL error: Table 'DB1510368.cpg133_favpics' doesn't exist

Also auch diese Tabelle neu nach der sql\schema.sql angelegt
Quote
CREATE TABLE cpg133_favpics (
`user_id` INT( 11 ) NOT NULL ,
`user_favpics` TEXT NOT NULL ,
PRIMARY KEY ( `user_id` )
) COMMENT = 'Stores the server side favourites';

Beim erneuten Aufruf der Seite kommt folgende Fehlermeldung:
Quote
While executing query 'SELECT a.aid FROM cpg133_albums AS a INNER JOIN cpg133_pictures as p ON p.aid = a.aid WHERE uploads = 'YES' AND category < 10000 AND (visibility = '0' OR visibility IN (4) OR alb_password != '') AND owner_id = 85' in index.php on line 897

mySQL error: Unknown column 'alb_password' in 'where clause'


Nun bin ich mit meinem Erfindungsreichtum am Ende angelangt, kann mir jemand helfen.
Die Gallery muß auch nicht unbedingt in dem Portal integriert sein, reicht auch, wenn wir einfach nochmal hinbekommen, dass wir die Bilder sehen können.

Habe mal einen Benutzer für euch angelegt zum Anschauen
User: "Test"
PW: "ist mir egal"


Bin für jede Hilfe dankbar.

Gruß
Markus
Logged

Αndré

  • Administrator
  • Coppermine addict
  • ****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15764
Re: Update von 1.3.3 auf 1.5.38
« Reply #1 on: September 23, 2015, 02:17:05 pm »

Du musst zunächst von cpg1.3.x auf cpg1.4.x und dann auf cpg1.5.x updaten. Ich vermute, du hast es direkt von cpg1.3.x auf cpg1.5.x versucht? Siehe auch http://documentation.coppermine-gallery.net/de/upgrading.htm#upgrade_10
Logged

Markus_Kohl

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: Update von 1.3.3 auf 1.5.38
« Reply #2 on: September 23, 2015, 02:24:45 pm »

Ja habe direkt von 1.3.x auf 1.5.x geupdatet ok, dann spiele ich schnell ein Backup zurück und versuche es wieder ;-)

Ich berichte dann später wie es lief.
Logged

Markus_Kohl

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: Update von 1.3.3 auf 1.5.38
« Reply #3 on: September 23, 2015, 03:02:24 pm »

Hat leider auch nicht so ganz funktioniert:

hier die Ausgabe der update.php ohne fehler

http://www.juz-nassweiler.de/cpg_update_ausgabe 1_3_3 auf 1_4_27.htm

Beim Aufruf der Seite kommt jetzt:

Quote
While executing query "select * from cpg133_plugins order by priority asc;" on 0

mySQL error: Table 'DB1510368.cpg133_plugins' doesn't exist

Die Tabelle ist tatsächlich nicht vorhanden, obwohl bei der Ausgabe von update.php folgendes steht
Quote
CREATE TABLE cpg133_plugins ( plugin_id int(10) unsigned NOT NULL auto_increment, name varchar(64) NOT NULL default '', path varchar(128) NOT NULL default '', priority int(10) unsigned NOT NULL default '0', PRIMARY KEY (plugin_id), UNIQUE KEY name (name), UNIQUE KEY path (path) ) TYPE=MyISAM COMMENT='Stores the plugins'

Already Done
Logged

Αndré

  • Administrator
  • Coppermine addict
  • ****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15764
Re: Update von 1.3.3 auf 1.5.38
« Reply #4 on: September 23, 2015, 03:08:33 pm »

Bitte überprüfe, ob dein MySQL-Benutzer überhaupt die Berechtigung für den CREATE-Befehl hat.
Logged

Markus_Kohl

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: Update von 1.3.3 auf 1.5.38
« Reply #5 on: September 23, 2015, 03:28:11 pm »

Ich bin bei Strato, und in phpmyadmin, finde ich den User-Tab oder die Rechtevergabe nicht.
select user,host from mysql.user; funktioniert auch nicht kommt der Fehler:
Quote
#1142 - SELECT command denied to user 'U_XXXX'@'gnarfi.store' for table 'user'

Und in der FAQ von Strato finde ich auch nichts.
Aber die Rechte müssten da sein, da ich ja sonst auch Wordpress nicht hätte installieren können oder nicht?
Logged

Αndré

  • Administrator
  • Coppermine addict
  • ****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15764
Re: Update von 1.3.3 auf 1.5.38
« Reply #6 on: September 23, 2015, 03:38:18 pm »

Versuch mal die Zeile in phpMyAdmin auszuführen. Ich vermute, es wird entweder eine Meldung bzgl. fehlenden Rechten ausgegeben oder eine Meldung, dass die Abfrage fehlerhaft ist (vermutlich wegen "TYPE=MyISAM").
Logged

Markus_Kohl

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: Update von 1.3.3 auf 1.5.38
« Reply #7 on: September 23, 2015, 03:50:56 pm »

Ja wenn ich folgende in phpMyadmin eingebe:
Quote
CREATE TABLE CPG_plugins (
  plugin_id int(10) unsigned NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  path varchar(128) NOT NULL default '',
  priority int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (plugin_id),
  UNIQUE KEY name (name),
  UNIQUE KEY path (path)
) TYPE=MyISAM COMMENT='Stores the plugins';

Kommt die Meldung:
Quote
#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM COMMENT='Stores the plugins'' at line 9


ich habe mal in den Dateien von der 1.5.x geschaut, dort ist das MyISAM nicht mehr dabei.

Denkst du es hilft, wenn ich in der schema.sql und in der update.sql
den String "TYPE=MyISAM " durch "" mit Suchen und Ersetzen enferne und die Update.php erneut laufen lasse?
Logged

Αndré

  • Administrator
  • Coppermine addict
  • ****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15764
Re: Update von 1.3.3 auf 1.5.38
« Reply #8 on: September 23, 2015, 03:52:09 pm »

Ersetz ihn bitte durch
Code: [Select]
ENGINE=MyISAM
Logged

Markus_Kohl

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: Update von 1.3.3 auf 1.5.38
« Reply #9 on: September 23, 2015, 04:00:43 pm »

Das hat schon mal funktioniert, hatte es aber komplett entfernt, der Standart in der DB war sowieso auf TYPE=MyISAM eingestellt, steht nun auch so bei jeder Tabelle dabei.

ich bekomme ich nur noch einen Template error.

Ich installiere nun die 1.5.x, nach dem ich ein Backup gemacht habe ;-)
Und dort kann ich ja das korrekte Template in der Dropdownbox wählen.

Nochmal vielen Dank für Deine Hilfe, hätte es ohne dich nicht hinbekommen.
Logged

Markus_Kohl

  • Coppermine newbie
  • Offline Offline
  • Posts: 7
Re: Update von 1.3.3 auf 1.5.38
« Reply #10 on: September 23, 2015, 04:13:51 pm »

Das Problem mit dem Template ist auch behoben.
Logged
Pages: [1]   Go Up
 

Page created in 0.021 seconds with 19 queries.